#
# spec file for package xf86tools (Version 0.1)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp qt3-devel-packages xf86
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib freetype2 freetype2-devel gcc gdbm gettext gpp libgpp libjpeg liblcms libmng libmng-devel libpng libpng-devel libtool libz mesa mesa-devel mesaglu mesaglu-devel mesaglut mesaglut-devel mesasoft pam perl qt3 qt3-devel rpm xdevel xf86 xshared

Name:         xf86tools
License:      X11/MIT
Group:        System/X11/Utilities
Provides:     xf86:/usr/X11R6/bin/fetchmsttfonts
Requires:     w3m 3ddiag
Autoreqprov:  on
Version:      0.1
Release:      361
Summary:      Tools for XFree86
Source:       cabextract-0.5.tar.gz 
Source1:      fetchmsttfonts
Source2:      xf86debug
Source3:      xf86version
Source5:      fetchmsttfonts.sh
Source6:      wmlist
Source7:      XftConfig
Source8:      kroot
Source9:      fonts.html
Source10:     GameChecker-020217.tar.bz2
Patch:        GameChecker.diff
Patch1:       GameChecker2.diff
Patch2:       GameChecker-xauth.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Some useful tools for XFree86. Contains the script 'fetchmsttfons' to download
Truetype Fonts.

Authors:
--------
    Stefan Dirsch <sndirsch@suse.de>

SuSE series: x

%prep
%setup -n cabextract-0.5 -b 10
pushd ../GameChecker
  patch -p0 -s < $RPM_SOURCE_DIR/GameChecker.diff
  patch -p0 -s < $RPM_SOURCE_DIR/GameChecker2.diff
  patch -p0 -s < $RPM_SOURCE_DIR/GameChecker-xauth.diff
popd

%build
autoconf
./configure --prefix=/usr --mandir=%{_mandir}
make
pushd ../GameChecker
  make
popd

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/xf86tools
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 README NEWS $RPM_BUILD_ROOT/%{_defaultdocdir}/xf86tools
install -m 755 $RPM_SOURCE_DIR/fetchmsttfonts $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/xf86debug      $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/xf86version    $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/fetchmsttfonts.sh $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/wmlist         $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/kroot          $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 $RPM_SOURCE_DIR/XftConfig      $RPM_BUILD_ROOT/usr/X11R6/lib/X11
install -m 644 $RPM_SOURCE_DIR/fonts.html     $RPM_BUILD_ROOT/%{_defaultdocdir}/xf86tools
pushd ../GameChecker
  make install DESTDIR=$RPM_BUILD_ROOT
popd

%files
%defattr(-, root, root)
%doc %{_defaultdocdir}/xf86tools/
%doc %{_mandir}/man1/cabextract.1.gz
/usr/bin/cabextract 
/usr/bin/CheckHardware
/usr/bin/Check4SoundLibs
/usr/bin/CheckFor3DLibs
/usr/bin/GameWrapper
/usr/share/locale/*/LC_MESSAGES/CheckHardware.mo
/usr/X11R6/bin/fetchmsttfonts
/usr/X11R6/bin/fetchmsttfonts.sh
/usr/X11R6/bin/xf86debug
/usr/X11R6/bin/xf86version
/usr/X11R6/bin/wmlist
/usr/X11R6/bin/kroot
%config /usr/X11R6/lib/X11/XftConfig

%changelog -n xf86tools
* Sun Aug 18 2002 - sndirsch@suse.de
- adjusted fetchmsttfonts: simply prints a message, that MS
  discontinued the Web fonts program
* Thu Mar 21 2002 - sndirsch@suse.de
- GameChecker-xauth.diff:
  * fixed xauth problem: If CheckHardware create an QApplication object
  this is handled as X11 client if this client replaces itself with
  a new client it may happen that the parent client still exist under
  the same authorization than the parent which is not allowed in terms
  of security. We will exit the application object in front of the execvp
  call and will fork() a new process for the calling application to be
  sure not to run into an access problem.
* Mon Mar 18 2002 - sndirsch@suse.de
- GameChecker2.diff
  * fixed return value handling from system() call
  * now also commands without full specified path are allowed for
  generic 'GameWrapper'
  * allow program names with '-' sign in it
  * fixed spacing of button texts
  * adapt gettext keys to currently used en_US translation
  * adapt .po files for all languages according to the new gettext keys
  * fixed segfault while allocating memory for baseName
  * some cleanups
* Sun Mar 17 2002 - sndirsch@suse.de
- GameChecker.diff:
  * fixes option parsing of 'CheckHardware'
  * better texts for warnings of 'CheckHardware'
* Sat Mar 16 2002 - sndirsch@suse.de
- added Wrapper for starting games (checks for sound and 3D)
* Wed Mar 13 2002 - sndirsch@suse.de
- added including of greek XftConfig (located in package xfntgreek)
  to XftConfig
* Thu Feb 28 2002 - sndirsch@suse.de
- fixed Bug #14104
  * replaced lynx with w3m
  * added "Requires: w3m"
* Fri Feb 15 2002 - sndirsch@suse.de
- removed aliases for "Lucidux Mono/Sans/Serif" (trademark issue)
* Wed Feb 13 2002 - sndirsch@suse.de
- give the user a note to exit from less with 'q'
* Thu Feb 07 2002 - sndirsch@suse.de
- updated to cabextract 0.5
- adjusted params of cabextract in fetchmsttfonts ("-v" is now "-l")
- use now SuSEconfig in fetchmsttfonts to create fonts.scale/fonts.dir
  files
* Wed Jan 30 2002 - sndirsch@suse.de
- added fallbacks if MS fonts are not installed
- added font test webpage
* Sat Jan 26 2002 - sndirsch@suse.de
- XftConfig:
  * added fallback to Luxi Sans/Serif/Mono fonts, if MS fonts are
  not available
  * added rules for sub-pixeling hinting and excluded pt range for
  antialiasing (both rules are commented out)
* Wed Jan 23 2002 - sndirsch@suse.de
- removed files for latvian support (never really worked); should
  be done via KDE Control center for the future
* Thu Jan 17 2002 - sndirsch@suse.de
- added path to ghostscript Type1 fonts (URW)
* Tue Jan 08 2002 - sndirsch@suse.de
- added fallback to "Luxi Mono" for monospaced font requests;
  fixes "konsole" AA font problem (made it unusable), if no MS TT
  fonts are installed
* Wed Dec 19 2001 - sndirsch@suse.de
- fetchmsttfonts now creates a fonts.scale.msttfonts file only for
  the TTF files, which are fetched; no duplicate entries any more
  in fonts.scale
* Thu Dec 13 2001 - sndirsch@suse.de
- better kroot script: vroot will only be false when kdesktop is
  running and when VRoot was not set already. We don't need to do
  anything if either KDesktop isn't running or VRoot was set
  already.
* Wed Dec 12 2001 - sndirsch@suse.de
- added wrapper (kroot) for starting X11 programs, which make use
  of root window feature, also with KDE 2
* Tue Nov 20 2001 - mfabian@suse.de
- sawmill -> sawfish in wmlist
* Fri Nov 16 2001 - sndirsch@suse.de
- added XftConfig; removed from package xf86 to be able to update
  it easier
* Wed Sep 05 2001 - sndirsch@suse.de
- removed options "--passive" and "--user-agent" in $WGET_OPTIONS
- lynx is now used for testing of existing EULA instead of wget
  (wget can't fetch EULA any more!)
* Tue Jul 31 2001 - sndirsch@suse.de
- replaced 'xfwm' with 'XFce' in 'wmlist' (change request by
  nadvornik@suse.cz)
* Fri Jul 20 2001 - sndirsch@suse.de
- moved 'wmlist' script from package susewm to package xf86tools
* Wed Jul 18 2001 - cstein@suse.de
- added 'xsplash' to wmlist and changed year in file header to 2001
* Fri Jun 22 2001 - sndirsch@suse.de
- better error handling in latvian (un)install scripts
* Tue Jun 19 2001 - sndirsch@suse.de
- added fetchmsttfonts.sh for KDE menu
* Mon Jun 18 2001 - sndirsch@suse.de
- fetchmsttfonts: print error message if there are problems with
  fetching archives
- added keyboard layout support for latvian:
  * xkb layout files
  * addition to compose table
  * install/uninstall skript for enabling/disabling latvian support
  (patches XF86Config + Compose table)
  * README.SuSE
* Wed May 16 2001 - sndirsch@suse.de
- rewritten fetchmsttfonts to use cabextract instead of unzip, so
  that the more recent TT Fonts for Windows 9x/NT/2000 can be used
- added cabextract tool, required for new fetchmsttfonts
* Fri Apr 06 2001 - sndirsch@suse.de
- rewritten xf86version ("X -version" is now used to get xf86 version)
* Fri Mar 30 2001 - sndirsch@suse.de
- created package
